Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8163952

jlink exclude VM plugin does not support static libraries

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P3
    • Resolution: Fixed
    • Affects Version/s: 9
    • Fix Version/s: 9
    • Component/s: tools
    • Labels:
    • Subcomponent:
    • Resolved In Build:
      b135
    • Verification:
      Not verified

      Description

      The jlink exclude VM plugin does not support static libraries.

      If jlink is used to generate a Java runtime based on a target jmod directory that was built statically, jlink will
      report that it can't find the VM.

           Error: Selected VM server doesn't exist.

      This is due to the fact that the plug-in is looking for either a .so or .dylib file extension depending
      on the platform rather than .a files.

      This functionality will be needed to support iOS platforms.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                sundar Sundararajan Athijegannathan
                Reporter:
                bobv Bob Vandette
              • Votes:
                0 Vote for this issue
                Watchers:
                6 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: